// RYLLogin.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include <vector>
#include "DlgRegionSelect.h"


//////////////////////////////////////////////////////////////////////////

void SetDefaultResource();
void SetDllResource();




// CRYLLoginApp:
// See RYLLogin.cpp for the implementation of this class
//

class CRYLLoginApp : public CWinApp
{	
public:
	CRYLLoginApp();

	void ParseRegionList( CDlgRegionSelect* pDlgRegionSelect, const char* szFileName );
	
	void SetDefaultResource()
	{
		AfxSetResourceHandle( m_hDefaultResource );
	}

	void SetDllResource()
	{
		AfxSetResourceHandle( m_hDLLResource );
	}

// Overrides
	public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()

protected:
	std::vector<CString> m_vecDomainName;
	HINSTANCE m_hDefaultResource;
	HINSTANCE m_hDLLResource;		
};

extern CRYLLoginApp theApp;